View Issue Details

IDProjectCategoryView StatusLast Update
14282Bug reportsTheme editorpublic2019-04-30 09:12
Reportertpartner Assigned ToDenisChenu  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.15.x 
Target Version3.16.xFixed in Version3.15.x 
Summary14282: Language of Survey is set to default in token form
Description

The variable "aSurveyInfo.surveyls_language" returns the base language, not the current language in the token-registration and token-entry screens.

See the attached nav_bar.twig file where I have inserted that variable to display the language (line 33) and see the result in the attached screenshot capture-7.png.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.5
I will donate to the project if issue is resolvedNo
BrowserN/A
Database & DB-Versionmysqlnd 5.0.12-dev
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.27 (Win32) OpenSSL/1.0.2l PHP/7.1.9
PHP Version7.1.9

Relationships

related to 14228 new Feature requests Survey and Question Theme need more information 

Activities

tpartner

tpartner

2018-11-24 10:35

developer  

nav_bar.twig (2,550 bytes)   
{#
    LimeSurvey
    Copyright (C) 2007-2017 The LimeSurvey Project Team / Louis Gac
    All rights reserved.
    License: GNU/GPL License v2 or later, see LICENSE.php
    LimeSurvey is free software. This version may have been modified pursuant
    to the GNU General Public License, and as distributed it includes or
    is derivative of works licensed under the GNU General Public License or
    other free or open source software licenses.
    See COPYRIGHT.php for copyright notices and details.

    (¯`·._.·(¯`·._.· Bootstrap Navigation Bar ·._.·´¯)·._.·´¯)

    This file renders a typical bootstrap navigation bar.
    See: https://getbootstrap.com/components/#navbar

    For the survey navigator ("Next", "Back", etc.), see: navigation/navigator.twig
#}

<!-- Bootstrap Navigation Bar -->
{% if(aSurveyInfo.class.navbar) %}
<div class="{{ aSurveyInfo.class.navbar }} navbar-fixed-top" {{ aSurveyInfo.attr.navbar }}>
    <div class="{{ aSurveyInfo.class.navbarheader }}  " {{ aSurveyInfo.attr.navbarheader }} >
        <button type="button" class="{{ aSurveyInfo.class.navbartoggle }}" {{ aSurveyInfo.attr.navbartoggle }}  >
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>

        {# Logo option #}
        {% if( aSurveyInfo.options.brandlogo == "on") %}
            <p>Survey Language: {{ aSurveyInfo.surveyls_language }}</p>
            <div class="{{ aSurveyInfo.class.navbarbrand }} logo-container hidden-xs"  {{ aSurveyInfo.attr.navbarbrand }}  >
                {{ image(aSurveyInfo.options.brandlogofile, aSurveyInfo.name, {"class": "logo img-responsive"}) }}
            </div>
        {% else %}
            <div class="{{ aSurveyInfo.class.navbarbrand }}"  {{ aSurveyInfo.attr.navbarbrand }} >
                {{ aSurveyInfo.name }}
            </div>
        {% endif %}
    </div>
    <div id="{{ aSurveyInfo.id.navbar }}" class="{{ aSurveyInfo.class.navbarcollapse }}" {{ aSurveyInfo.attr.navbarcollapse }} >
        <ul class="{{ aSurveyInfo.class.navbarlink }} navbar-right" {{ aSurveyInfo.attr.navbarlink }}>
            {{ include('./subviews/navigation/save_links.twig') }}
            {{ include('./subviews/navigation/clearall_links.twig') }}
            {{ include('./subviews/navigation/question_index_menu.twig') }}
            {{ include('./subviews/navigation/language_changer_top_menu.twig') }}
        </ul>
    </div>
</div>
{% endif %}
nav_bar.twig (2,550 bytes)   
capture-7.png (52,707 bytes)   
capture-7.png (52,707 bytes)   
tpartner

tpartner

2018-11-24 10:36

developer  

capture-8.png (35,987 bytes)   
capture-8.png (35,987 bytes)   
DenisChenu

DenisChenu

2018-11-24 11:06

developer   ~49771

Last edited: 2018-11-24 11:06

View 2 revisions

I think we need a clean "language" var, not related to survey

See : «Current situation of the page : language (it's in surveyInfo, but really this array is a mess)»
https://bugs.limesurvey.org/view.php?id=14228

But here : it's related to survey, i see to fix it.

DenisChenu

DenisChenu

2018-11-25 16:45

developer   ~49772

Last edited: 2018-11-25 16:46

View 2 revisions

For information : aSurveyInfo.languagecode is OK

Current all survey language is broken : look at title : it's the base title language :)

DenisChenu

DenisChenu

2018-11-25 17:00

developer   ~49773

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28560

c_schmitz

c_schmitz

2019-04-30 09:12

administrator   ~51648

Fixed in Version 3.1.7.3

Related Changesets

LimeSurvey: master b041f3c5

2018-11-25 17:00:05

DenisChenu

Details Diff
Fixed issue 14282: Language of Survey is set to default in token form Affected Issues
14282
mod - application/helpers/frontend_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-11-24 10:35 tpartner New Issue
2018-11-24 10:35 tpartner File Added: nav_bar.twig
2018-11-24 10:35 tpartner File Added: capture-7.png
2018-11-24 10:36 tpartner File Added: capture-8.png
2018-11-24 11:06 DenisChenu Note Added: 49771
2018-11-24 11:06 DenisChenu Relationship added related to 14228
2018-11-24 11:06 DenisChenu Note Edited: 49771 View Revisions
2018-11-24 11:06 DenisChenu Assigned To => DenisChenu
2018-11-24 11:06 DenisChenu Status new => assigned
2018-11-25 16:45 DenisChenu Note Added: 49772
2018-11-25 16:46 DenisChenu Note Edited: 49772 View Revisions
2018-11-25 16:49 DenisChenu Summary Twig variable for survey language incorrect in toke-entry view => Language of Survey is set to default in token form
2018-11-25 17:00 DenisChenu Changeset attached => LimeSurvey master b041f3c5
2018-11-25 17:00 DenisChenu Note Added: 49773
2018-11-25 17:00 DenisChenu Resolution open => fixed
2018-11-25 17:07 DenisChenu Status assigned => resolved
2018-11-25 17:07 DenisChenu Fixed in Version => 3.15.x
2019-04-30 09:12 c_schmitz Note Added: 51648
2019-04-30 09:12 c_schmitz Status resolved => closed